
function level1(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  this.min = -20;
  this.max = 35;
  
  this.title_font = 'bold 16px Tahoma';
  this.value_font = 'bold 10px Tahoma';
  this.mark_font = 'bold 10px Tahoma';
  this.border = 'silver';
  this.textcolor = 'silver';
  this.color = 'white';
  this.color2 = 'rgba(120,120,120,1)';
  this.valuemincolor = 'blue';
  this.valuemaxcolor = 'red';
  this.valuecolor 	 = 'green';  
  this.background = 'rgba(100,160,230,1)';
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
    // border
    this.context.fillStyle = this.border;
	this.context.fillRoundedRect(25, 2, 50, 168, 10);
	
	// Rect
	var rHeight = 156;
	
    this.context.fillStyle = this.color;
    this.context.fillRect(30, 8, 40, rHeight);
	
	this.context.textAlign = "center";

	// Title	
    this.context.font = this.title_font;
	this.context.fillStyle = this.textcolor;
    this.context.fillText(this.title, 50, 190, 90); 
	
    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
	  
	  //  y    n-min
	  //  - = -------    -> ( n-min )*h/(max-min)
	  //  H    max-min
	  
	  var ylevel = rHeight-((val-this.min)*rHeight/(this.max-this.min));
	  
	  // Level
	  this.context.fillStyle = this.valuecolor;
      this.context.fillRect(30, 8+ylevel, 40, (rHeight-ylevel));	  
	  
	  // Value	  
	  this.context.font = this.value_font;
	  this.context.fillStyle = this.color;  
	  this.context.fillText(val+this.measure, 50, 8+ylevel+((rHeight-ylevel)/2), 45);
    }
	
	this.context.font = this.mark_font;
	this.context.textAlign = "start";
	
	// Max
	this.context.fillStyle = this.valuemaxcolor;
	this.context.fillText(this.max, 80, 12, 90);
	
	// Min
	this.context.fillStyle = this.valuemincolor;
	this.context.fillText(this.min, 80, 166, 90);
  } 
  
  this.drawmarker = function(){
    if (this.eventState == ''){
	  this.context.fillStyle = 'green';
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'red';          
	  }
	}
	
	this.context.font = this.title_font;
	this.context.textAlign = "left";  
    this.context.fillText('•', 10, 12); 
  }  
  
  this.init( );
}

level1.prototype = new s2_object();