CanvasRenderingContext2D.prototype.fillRoundedRect = fillRoundedRect;

function fillRoundedRect(x, y, w, h, r){
 this.beginPath();
 this.moveTo(x+r, y);
 this.lineTo(x+w-r, y);
 this.quadraticCurveTo(x+w, y, x+w, y+r);
 this.lineTo(x+w, y+h-r);
 this.quadraticCurveTo(x+w, y+h, x+w-r, y+h);
 this.lineTo(x+r, y+h);
 this.quadraticCurveTo(x, y+h, x, y+h-r);
 this.lineTo(x, y+r);
 this.quadraticCurveTo(x, y, x+r, y);
 this.fill();
}

function s2_object(){
  this.contid = '';    
  this.objprop = '';
  
  this.refreshtime = 5*60*1000; // 5 min
  this.eventState = '';
  this.eventTimer = '';  
  this.drawmarker = true;
  
  this.init = function( ){        
	
	this.elem = document.getElementById( this.contid );
	if (!this.elem || !this.elem.getContext) {	  
	  return;
	}  
	
	// Get the canvas 2d context.
	this.context = this.elem.getContext('2d');
	if (!this.context) {
		return;
	}  
	
	this.redraw('');  
    this.NextEvent( this );   
  }
  
  this.redraw = function(data){    
    // Rect
    this.context.fillStyle = 'red';
    this.context.fillRect(0, 0, this.elem.width, this.elem.height);

	if (this.drawmarker) this.drawmarker();
  }
  
  this.drawmarker = function(){
/*  
    if (this.eventState == ''){
	  this.context.fillStyle = 'green';
	} else {
  	  if (this.eventState == 'processing'){
	    this.context.fillStyle = 'black';
	  } else {
	    this.context.fillStyle = 'red';          
	  }
	}
	
	this.context.textAlign = "left";  
    this.context.fillText('•', 5, 15, 80); 
*/	
  }
  
  this.NextEventReceived = function(fobj, data) {  
	this.eventState = 'processing';	
	this.redraw(data);	
	
	this.eventState = '';	
	if (this.drawmarker) this.drawmarker();
	
	return false;	
  }
  
  this.NextEvent = function(fobj) {                
    //if (fobj.eventStateeventState!='') return;  
	
	// Set next timer
    clearTimeout(fobj.eventTimer);
    fobj.eventTimer = window.setTimeout( function() { 	  
	  fobj.NextEvent( fobj ); 
	}, fobj.refreshtime);
	
    fobj.eventState='requesting';  		
	if (this.drawmarker) fobj.drawmarker();

	// Req data
	var xmlhttp=false;
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	  xmlhttp = new XMLHttpRequest();
	}
	xmlhttp.open("GET", '/s2/getdata.php?p='+fobj.objprop, true);
	xmlhttp.onreadystatechange=function() {
	  if (xmlhttp.readyState==4) {
		fobj.NextEventReceived( fobj, xmlhttp.responseText );
	  }
	}
	xmlhttp.send(null);

    return false;
  }  
}